---
layout: lesson
root: .  # Is the only page that doesn't follow the pattern /:path/index.html
permalink: index.html  # Is the only page that doesn't follow the pattern /:path/index.html
---

This training will walk you through the development of a
best-practices CWL workflow.  At the conclusion of this training, you
should have a grasp of the essential components of a workflow, and
have a basis for learning more.

> ## Prerequisites
>
> This training assumes some basic familiarity with editing text files,
> the Unix command line, and Unix shell scripts.
>
> Specific knowledge of the biology of RNA-seq is *not* a prerequisite
> for these lessons.  Although orignally developed to solve big data
> problems in genomics, CWL is not domain specific to bioinformatics,
> and is used in a number of other fields including medical imaging,
> astronomy, geospatial imaging, and machine learning.  We hope that
> you will find this training useful regardless of your area of
> research.
>
{: .prereq}

These lessons are based on [Introduction to RNA-seq using
high-performance computing
(HPC)](https://github.com/hbctraining/Intro-to-rnaseq-hpc-O2) lessons
developed by members of the teaching team at the Harvard Chan
Bioinformatics Core (HBC).  The original training, which includes
additional lectures about the biology of RNA-seq, can be found at that
link.

{% include links.md %}
